You can use recursion with a VBA macro to iterate through each Product in your assembly and clear its description property. Here is my code
Sub Main()
Dim doc As ProductDocument
Set doc = CATIA.ActiveDocument
Dim rootPrd As Product
Set rootPrd = doc.Product...
You can loop through CATIA.Documents, check whether the type of a Document is DrawingDocument.
Sub Main()
Dim n As Long, i As Long
n = CATIA.Documents.Count
Dim doc As Document
For i = 1 To n
Set doc = CATIA.Documents.Item(i)
If TypeOf doc Is DrawingDocument...
You can use Documents.NewFrom() method to get PartDocument or ProductDocument, this doesn't have link with the original document, then get PartDocument.Product or ProductDocument.Product, then use AddComponent() .
You should use the Section object of root ProductDocument, don't use Selection of PartDocument.
The parameter for "AsResultWithLink" is "CATPrtResult", not "CATPrtResultWithLink" , you can find this from Automation Help.
Here is my code, you can take a look
Public Sub CATMain()
Dim part_a...